package com.ylx.point.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.point.domain.PointActivityTask;
import com.ylx.point.domain.dto.PointActivityTaskDTO;

import java.util.List;

/**
 * 积分活动任务规则Service接口
 *
 * @author wzj
 * @date 2026-03-25
 */
public interface IPointActivityTaskService extends IService<PointActivityTask> {

    List<PointActivityTaskDTO>  selectPointActivityTaskByActivityId(Long id);

    void batchInsertPointActivityTask(List<PointActivityTask> activityTasks);

    void deletePointActivityTaskByActivityId(Long activityId);

    List<PointActivityTask> selectTasksByActivityType(Integer activityType);
}
